Index: branches/rsr.v5.1.1/web/punbb/lang/English/common.php
===================================================================
--- branches/rsr.v5.1.dev/web/punbb/lang/English/common.php	(revision 1)
+++ branches/rsr.v5.1.1/web/punbb/lang/English/common.php	(revision 4)
@@ -1,154 +1,163 @@
 <?php
 
-/*
-// Determine what locale to use
-switch (PHP_OS)
-{
-	case 'WINNT':
-	case 'WIN32':
-		$locale = 'english';
-		break;
-
-	case 'FreeBSD':
-	case 'NetBSD':
-	case 'OpenBSD':
-		$locale = 'en_US.US-ASCII';
-		break;
-
-	default:
-		$locale = 'en_US';
-		break;
-}
-
-// Attempt to set the locale
-setlocale(LC_CTYPE, $locale);
-*/
-
 // Language definitions for frequently used strings
-
 $lang_common = array(
 
 // Text orientation and encoding
-'lang_direction'		=>	'ltr',	// ltr (Left-To-Right) or rtl (Right-To-Left)
-'lang_encoding'			=>	'iso-8859-1',
-'lang_multibyte'		=>	false,
+'lang_direction'					=>	'ltr', // ltr (Left-To-Right) or rtl (Right-To-Left)
+'lang_identifier'					=>	'en',
+
+// Number formatting
+'lang_decimal_point'				=>	'.',
+'lang_thousands_sep'				=>	',',
 
 // Notices
-'Bad request'			=>	'Bad request. The link you followed is incorrect or outdated.',
-'No view'				=>	'You do not have permission to view these forums.',
-'No permission'			=>	'You do not have permission to access this page.',
-'Bad referrer'			=>	'Bad HTTP_REFERER. You were referred to this page from an unauthorized source. If the problem persists please make sure that \'Base URL\' is correctly set in Admin/Options and that you are visiting the forum by navigating to that URL. More information regarding the referrer check can be found in the PunBB documentation.',
-
-// Topic/forum indicators
-'New icon'				=>	'There are new posts',
-'Normal icon'			=>	'<!-- -->',
-'Closed icon'			=>	'This topic is closed',
-'Redirect icon'			=>	'Redirected forum',
+'Bad request'						=>	'Bad request. The link you followed is incorrect or outdated.',
+'No view'							=>	'You do not have permission to view these forums.',
+'No permission'						=>	'You do not have permission to access this page.',
+'Bad referrer'						=>	'Bad HTTP_REFERER. You were referred to this page from an unauthorized source. If the problem persists please make sure that \'Base URL\' is correctly set in Admin/Options and that you are visiting the forum by navigating to that URL. More information regarding the referrer check can be found in the FluxBB documentation.',
+'No cookie'							=>	'You appear to have logged in successfully, however a cookie has not been set. Please check your settings and if applicable, enable cookies for this website.',
+'Pun include error'					=>	'Unable to process user include %s from template %s. There is no such file in neither the template directory nor in the user include directory.',
 
 // Miscellaneous
-'Announcement'			=>	'Announcement',
-'Options'				=>	'Options',
-'Actions'				=>	'Actions',
-'Submit'				=>	'Submit',	// "name" of submit buttons
-'Ban message'			=>	'You are banned from this forum.',
-'Ban message 2'			=>	'The ban expires at the end of',
-'Ban message 3'			=>	'The administrator or moderator that banned you left the following message:',
-'Ban message 4'			=>	'Please direct any inquiries to the forum administrator at',
-'Never'					=>	'Never',
-'Today'					=>	'Today',
-'Yesterday'				=>	'Yesterday',
-'Info'					=>	'Info',		// a common table header
-'Go back'				=>	'Go back',
-'Maintenance'			=>	'Maintenance',
-'Redirecting'			=>	'Redirecting',
-'Click redirect'		=>	'Click here if you do not want to wait any longer (or if your browser does not automatically forward you)',
-'on'					=>	'on',		// as in "BBCode is on"
-'off'					=>	'off',
-'Invalid e-mail'		=>	'The e-mail address you entered is invalid.',
-'required field'		=>	'is a required field in this form.',	// for javascript form validation
-'Last post'				=>	'Last post',
-'by'					=>	'by',	// as in last post by someuser
-'New posts'				=>	'New&#160;posts',	// the link that leads to the first new post (use &#160; for spaces)
-'New posts info'		=>	'Go to the first new post in this topic.',	// the popup text for new posts links
-'Username'				=>	'Username',
-'Password'				=>	'Password',
-'E-mail'				=>	'E-mail',
-'Send e-mail'			=>	'Send e-mail',
-'Moderated by'			=>	'Moderated by',
-'Registered'			=>	'Registered',
-'Subject'				=>	'Subject',
-'Message'				=>	'Message',
-'Topic'					=>	'Topic',
-'Forum'					=>	'Forum',
-'Posts'					=>	'Posts',
-'Replies'				=>	'Replies',
-'Author'				=>	'Author',
-'Pages'					=>	'Pages',
-'BBCode'				=>	'BBCode',	// You probably shouldn't change this
-'img tag'				=>	'[img] tag',
-'Smilies'				=>	'Smilies',
-'and'					=>	'and',
-'Image link'			=>	'image',	// This is displayed (i.e. <image>) instead of images when "Show images" is disabled in the profile
-'wrote'					=>	'wrote',	// For [quote]'s
-'Code'					=>	'Code',		// For [code]'s
-'Mailer'				=>	'Mailer',	// As in "MyForums Mailer" in the signature of outgoing e-mails
-'Important information'	=>	'Important information',
-'Write message legend'	=>	'Write your message and submit',
+'Announcement'						=>	'Announcement',
+'Options'							=>	'Options',
+'Submit'							=>	'Submit', // "Name" of submit buttons
+'Ban message'						=>	'You are banned from this forum.',
+'Ban message 2'						=>	'The ban expires at the end of',
+'Ban message 3'						=>	'The administrator or moderator that banned you left the following message:',
+'Ban message 4'						=>	'Please direct any inquiries to the forum administrator at',
+'Never'								=>	'Never',
+'Today'								=>	'Today',
+'Yesterday'							=>	'Yesterday',
+'Info'								=>	'Info', // A common table header
+'Go back'							=>	'Go back',
+'Maintenance'						=>	'Maintenance',
+'Redirecting'						=>	'Redirecting',
+'Click redirect'					=>	'Click here if you do not want to wait any longer (or if your browser does not automatically forward you)',
+'on'								=>	'on', // As in "BBCode is on"
+'off'								=>	'off',
+'Invalid email'						=>	'The email address you entered is invalid.',
+'Required'							=>	'(Required)',
+'required field'					=>	'is a required field in this form.', // For javascript form validation
+'Last post'							=>	'Last post',
+'by'								=>	'by', // As in last post by someuser
+'New posts'							=>	'New posts', // The link that leads to the first new post
+'New posts info'					=>	'Go to the first new post in this topic.', // The popup text for new posts links
+'Username'							=>	'Username',
+'Password'							=>	'Password',
+'Email'								=>	'Email',
+'Send email'						=>	'Send email',
+'Moderated by'						=>	'Moderated by',
+'Registered'						=>	'Registered',
+'Subject'							=>	'Subject',
+'Message'							=>	'Message',
+'Topic'								=>	'Topic',
+'Forum'								=>	'Forum',
+'Posts'								=>	'Posts',
+'Replies'							=>	'Replies',
+'Pages'								=>	'Pages:',
+'Page'								=>	'Page %s',
+'BBCode'							=>	'BBCode:', // You probably shouldn't change this
+'img tag'							=>	'[img] tag:',
+'Smilies'							=>	'Smilies:',
+'and'								=>	'and',
+'Image link'						=>	'image', // This is displayed (i.e. <image>) instead of images when "Show images" is disabled in the profile
+'wrote'								=>	'wrote:', // For [quote]'s
+'Mailer'							=>	'%s Mailer', // As in "MyForums Mailer" in the signature of outgoing emails
+'Important information'				=>	'Important information',
+'Write message legend'				=>	'Write your message and submit',
+'Previous'							=>	'Previous',
+'Next'								=>	'Next',
+'Spacer'							=>	'âŠ', // Ellipsis for paginate
 
 // Title
-'Title'					=>	'Title',
-'Member'				=>	'Member',	// Default title
-'Moderator'				=>	'Moderator',
-'Administrator'			=>	'Administrator',
-'Banned'				=>	'Banned',
-'Guest'					=>	'Guest',
+'Title'								=>	'Title',
+'Member'							=>	'Member', // Default title
+'Moderator'							=>	'Moderator',
+'Administrator'						=>	'Administrator',
+'Banned'							=>	'Banned',
+'Guest'								=>	'Guest',
 
 // Stuff for include/parser.php
-'BBCode error'			=>	'The BBCode syntax in the message is incorrect.',
-'BBCode error 1'		=>	'Missing start tag for [/quote].',
-'BBCode error 2'		=>	'Missing end tag for [code].',
-'BBCode error 3'		=>	'Missing start tag for [/code].',
-'BBCode error 4'		=>	'Missing one or more end tags for [quote].',
-'BBCode error 5'		=>	'Missing one or more start tags for [/quote].',
+'BBCode error no opening tag'		=>	'[/%1$s] was found without a matching [%1$s]',
+'BBCode error invalid nesting'		=>	'[%1$s] was opened within [%2$s], this is not allowed',
+'BBCode error invalid self-nesting'	=>	'[%s] was opened within itself, this is not allowed',
+'BBCode error no closing tag'		=>	'[%1$s] was found without a matching [/%1$s]',
+'BBCode error empty attribute'		=>	'[%s] tag had an empty attribute section',
+'BBCode code problem'				=>	'There is a problem with your [code] tags',
+'BBCode list size error'			=>	'Your list was too long to parse, please make it smaller!',
 
 // Stuff for the navigator (top of every page)
-'Index'					=>	'Index',
-'User list'				=>	'User list',
-'Rules'					=>  'Rules',
-'Search'				=>  'Search',
-'Register'				=>  'Register',
-'Login'					=>  'Login',
-'Not logged in'			=>  'You are not logged in.',
-'Profile'				=>	'Profile',
-'Logout'				=>	'Logout',
-'Logged in as'			=>	'Logged in as',
-'Admin'					=>	'Administration',
-'Last visit'			=>	'Last visit',
-'Show new posts'		=>	'Show new posts since last visit',
-'Mark all as read'		=>	'Mark all topics as read',
-'Link separator'		=>	'',	// The text that separates links in the navigator
+'Index'								=>	'Index',
+'User list'							=>	'User list',
+'Rules'								=>	'Rules',
+'Search'							=>	'Search',
+'Register'							=>	'Register',
+'Login'								=>	'Login',
+'Not logged in'						=>	'You are not logged in.',
+'Profile'							=>	'Profile',
+'Logout'							=>	'Logout',
+'Logged in as'						=>	'Logged in as',
+'Admin'								=>	'Administration',
+'Last visit'						=>	'Last visit: %s',
+'Topic searches'					=>	'Topics:',
+'New posts header'					=>	'New',
+'Active topics'						=>	'Active',
+'Unanswered topics'					=>	'Unanswered',
+'Posted topics'						=>	'Posted',
+'Show new posts'					=>	'Find topics with new posts since your last visit.',
+'Show active topics'				=>	'Find topics with recent posts.',
+'Show unanswered topics'			=>	'Find topics with no replies.',
+'Show posted topics'				=>	'Find topics you have posted to.',
+'Mark all as read'					=>	'Mark all topics as read',
+'Mark forum read'					=>	'Mark this forum as read',
+'Title separator'					=>	' / ',
 
 // Stuff for the page footer
-'Board footer'			=>	'Board footer',
-'Search links'			=>	'Search links',
-'Show recent posts'		=>	'Show recent posts',
-'Show unanswered posts'	=>	'Show unanswered posts',
-'Show your posts'		=>	'Show your posts',
-'Show subscriptions'	=>	'Show your subscribed topics',
-'Jump to'				=>	'Jump to',
-'Go'					=>	' Go ',		// submit button in forum jump
-'Move topic'			=>  'Move topic',
-'Open topic'			=>  'Open topic',
-'Close topic'			=>  'Close topic',
-'Unstick topic'			=>  'Unstick topic',
-'Stick topic'			=>  'Stick topic',
-'Moderate forum'		=>	'Moderate forum',
-'Delete posts'			=>	'Delete multiple posts',
-'Debug table'			=>	'Debug information',
+'Board footer'						=>	'Board footer',
+'Jump to'							=>	'Jump to',
+'Go'								=>	' Go ', // Submit button in forum jump
+'Moderate topic'					=>	'Moderate topic',
+'Move topic'						=>	'Move topic',
+'Open topic'						=>	'Open topic',
+'Close topic'						=>	'Close topic',
+'Unstick topic'						=>	'Unstick topic',
+'Stick topic'						=>	'Stick topic',
+'Moderate forum'					=>	'Moderate forum',
+'Powered by'						=>	'Powered by %s',
+
+// Debug information
+'Debug table'						=>	'Debug information',
+'Querytime'							=>	'Generated in %1$s seconds, %2$s queries executed',
+'Memory usage'						=>	'Memory usage: %1$s',
+'Peak usage'						=>	'(Peak: %1$s)',
+'Query times'						=>	'Time (s)',
+'Query'								=>	'Query',
+'Total query time'					=>	'Total query time: %s',
 
 // For extern.php RSS feed
-'RSS Desc Active'		=>	'The most recently active topics at',	// board_title will be appended to this string
-'RSS Desc New'			=>	'The newest topics at',					// board_title will be appended to this string
-'Posted'				=>	'Posted'	// The date/time a topic was started
+'RSS description'					=>	'The most recent topics at %s.',
+'RSS description topic'				=>	'The most recent posts in %s.',
+'RSS reply'							=>	'Re: ', // The topic subject will be appended to this string (to signify a reply)
+'RSS active topics feed'			=>	'RSS active topics feed',
+'Atom active topics feed'			=>	'Atom active topics feed',
+'RSS forum feed'					=>	'RSS forum feed',
+'Atom forum feed'					=>	'Atom forum feed',
+'RSS topic feed'					=>	'RSS topic feed',
+'Atom topic feed'					=>	'Atom topic feed',
+
+// Admin related stuff in the header
+'New reports'						=>	'There are new reports',
+'Maintenance mode enabled'			=>	'Maintenance mode is enabled!',
+
+// Units for file sizes
+'Size unit B'						=>	'%s B',
+'Size unit KiB'						=>	'%s KiB',
+'Size unit MiB'						=>	'%s MiB',
+'Size unit GiB'						=>	'%s GiB',
+'Size unit TiB'						=>	'%s TiB',
+'Size unit PiB'						=>	'%s PiB',
+'Size unit EiB'						=>	'%s EiB',
 
 );
Index: branches/rsr.v5.1.1/web/punbb/lang/English/delete.php
===================================================================
--- branches/rsr.v5.1.dev/web/punbb/lang/English/delete.php	(revision 1)
+++ branches/rsr.v5.1.1/web/punbb/lang/English/delete.php	(revision 4)
@@ -5,8 +5,12 @@
 
 'Delete post'			=>	'Delete post',
-'Warning'				=>	'Warning! If this is the first post in the topic, the whole topic will be deleted.',
-'Delete'				=>	'Delete',	// The submit button
-'Post del redirect'		=>	'Post deleted. Redirection ...',
-'Topic del redirect'	=>	'Topic deleted. Redirection ...'
+'Warning'				=>	'You are about to permanently delete this post.',
+'Topic warning'			=>	'Warning! This is the first post in the topic, the whole topic will be permanently deleted.',
+'Delete info'			=>	'The post you have chosen to delete is set out below for you to review before proceeding.',
+'Reply by'				=>	'Reply by %s - %s',
+'Topic by'				=>	'Topic started by %s - %s',
+'Delete'				=>	'Delete', // The submit button
+'Post del redirect'		=>	'Post deleted. Redirecting âŠ',
+'Topic del redirect'	=>	'Topic deleted. Redirecting âŠ'
 
 );
Index: branches/rsr.v5.1.1/web/punbb/lang/English/forum.php
===================================================================
--- branches/rsr.v5.1.dev/web/punbb/lang/English/forum.php	(revision 1)
+++ branches/rsr.v5.1.1/web/punbb/lang/English/forum.php	(revision 4)
@@ -6,7 +6,12 @@
 'Post topic'	=>	'Post new topic',
 'Views'			=>	'Views',
-'Moved'			=>	'Moved',
-'Sticky'		=>	'Sticky',
-'Empty forum'	=>	'Forum is empty.'
+'Moved'			=>	'Moved:',
+'Sticky'		=>	'Sticky:',
+'Closed'		=>	'Closed:',
+'Empty forum'	=>	'Forum is empty.',
+'Mod controls'	=>	'Moderator controls',
+'Is subscribed'	=>	'You are currently subscribed to this forum',
+'Unsubscribe'	=>	'Unsubscribe',
+'Subscribe'		=>	'Subscribe to this forum'
 
 );
Index: branches/rsr.v5.1.1/web/punbb/lang/English/help.php
===================================================================
--- branches/rsr.v5.1.dev/web/punbb/lang/English/help.php	(revision 1)
+++ branches/rsr.v5.1.1/web/punbb/lang/English/help.php	(revision 4)
@@ -7,4 +7,5 @@
 'produces'				=>	'produces',
 
+'BBCode'				=>	'BBCode',
 'BBCode info 1'			=>	'BBCode is a collection of formatting tags that are used to change the look of text in this forum. BBCode is based on the same principal as, and is very similar to, HTML. Below is a list of all the available BBCodes and instructions on how to use them.',
 'BBCode info 2'			=>	'Administrators have the ability to enable or disable BBCode. You can tell if BBCode is enabled or disabled out in the left margin whenever you post a message or edit your signature.',
@@ -15,11 +16,23 @@
 'Underlined text'		=>	'Underlined text',
 'Italic text'			=>	'Italic text',
+'Strike-through text'	=>	'Strike-through text',
 'Red text'				=>	'Red text',
 'Blue text'				=>	'Blue text',
+'Heading text'			=>	'Heading text',
+'Deleted text'			=>	'Deleted text',
+'Inserted text'			=>	'Inserted text',
+'Emphasised text'		=>	'Emphasised text',
 
 'Links and images'		=>	'Links and images',
-'Links info'			=>	'You can create links to other documents or to e-mail addresses using the following tags:',
-'My e-mail address'		=>	'My e-mail address',
-'Images info'			=>	'If you want to display an image you can use the img tag.',
+'Links info'			=>	'You can create links to other documents or to email addresses using the following tags:',
+'This help page'		=>	'This help page',
+'My email address'		=>	'My email address',
+'Images info'			=>	'If you want to display an image you can use the img tag. The text appearing after the "=" sign in the opening tag is used for the alt attribute and should be included whenever possible.',
+'FluxBB bbcode test'	=>	'FluxBB bbcode test',
+
+'Test topic'			=>	'Test topic',
+'Test post'				=>	'Test post',
+'Test forum'			=>	'Test forum',
+'Test user'				=>	'Test user',
 
 'Quotes'				=>	'Quotes',
@@ -28,4 +41,5 @@
 'Quote text'			=>	'This is the text i want to quote.',
 'produces quote box'	=>	'produces a quote box like this:',
+'quote note'			=>	'Note: If a username contains the characters [ or ] you can enclose it in quote marks.',
 
 'Code'					=>	'Code',
@@ -38,4 +52,14 @@
 'Bold, underlined text'	=>	'Bold, underlined text',
 
+'Lists'					=>	'Lists',
+'List info'				=>	'To create a list you can use the list tag. You can create 3 types of lists using the list tag.',
+'List text 1'			=>	'Example list item 1.',
+'List text 2'			=>	'Example list item 2.',
+'List text 3'			=>	'Example list item 3.',
+'produces list'			=>	'produces a bulleted list.',
+'produces decimal list'	=>	'produces a numbered list.',
+'produces alpha list'	=>	'produces an alphabetically labelled list.',
+
+'Smilies'				=>	'Smilies',
 'Smilies info'			=>	'If you like (and if it is enabled), the forum can convert a series of smilies to images representations of that smiley. This forum recognizes the following smilies and replaces them with images:'
 
Index: branches/rsr.v5.1.1/web/punbb/lang/English/index.php
===================================================================
--- branches/rsr.v5.1.dev/web/punbb/lang/English/index.php	(revision 1)
+++ branches/rsr.v5.1.1/web/punbb/lang/English/index.php	(revision 4)
@@ -4,18 +4,17 @@
 $lang_index = array(
 
-'Topics'				=>  'Topics',
-'Moderators'			=>  'Moderators',
-'Link to'				=>	'Link to',	// As in "Link to http://www.punbb.org/"
-'Empty board'			=>	'Board is empty.',
-'Newest user'			=>	'Newest registered user',
-'Users online'			=>	'Registered users online',
-'Guests online'			=>	'Guests online',
-'No of users'			=>	'Total number of registered users',
-'No of topics'			=>	'Total number of topics',
-'No of posts'			=>	'Total number of posts',
-'Online'				=>	'Online',	// As in "Online: User A, User B etc."
-'Board info'			=>	'Board information',
-'Board stats'			=>	'Board statistics',
-'User info'				=>	'User information'
+'Topics'		=>	'Topics',
+'Link to'		=>	'Link to:', // As in "Link to: http://fluxbb.org/"
+'Empty board'	=>	'Board is empty.',
+'Newest user'	=>	'Newest registered user: %s',
+'Users online'	=>	'Registered users online: %s',
+'Guests online'	=>	'Guests online: %s',
+'No of users'	=>	'Total number of registered users: %s',
+'No of topics'	=>	'Total number of topics: %s',
+'No of posts'	=>	'Total number of posts: %s',
+'Online'		=>	'Online:', // As in "Online: User A, User B etc."
+'Board info'	=>	'Board information',
+'Board stats'	=>	'Board statistics',
+'User info'		=>	'User information'
 
 );
Index: branches/rsr.v5.1.1/web/punbb/lang/English/install.php
===================================================================
--- branches/rsr.v5.1.1/web/punbb/lang/English/install.php	(revision 4)
+++ branches/rsr.v5.1.1/web/punbb/lang/English/install.php	(revision 4)
@@ -0,0 +1,120 @@
+<?php
+
+// Language definitions used in install.php, localized by adaur
+
+$lang_install = array(
+
+'Install message'				=>	'The file \'config.php\' doesn\'t exist or is corrupt. This implies that FluxBB has not yet been installed.',
+'Choose install language'		=>	'Choose the install script language',
+'Choose install language info'	=>	'The language used for this install script. The default language used for the board itself can be set below.',
+'Install language'				=>	'Install language',
+'Change language'				=>	'Change language',
+'Next'							=>	'Next',
+'Already installed'				=>	'It seems like FluxBB is already installed. You should go <a href="index.php">here</a> instead.',
+'You are running error'			=>	'You are running %1$s version %2$s. FluxBB %3$s requires at least %1$s %4$s to run properly. You must upgrade your %1$s installation before you can continue.',
+'My FluxBB Forum'				=>	'My FluxBB Forum',
+'Description'					=>	'Unfortunately no one can be told what FluxBB is - you have to see it for yourself.',
+'Username 1'					=>	'Usernames must be at least 2 characters long.',
+'Username 2'					=>	'Usernames must not be more than 25 characters long.',
+'Username 3'					=>	'The username guest is reserved.',
+'Username 4'					=>	'Usernames may not be in the form of an IP address.',
+'Username 5'					=>	'Usernames may not contain all the characters \', " and [ or ] at once.',
+'Username 6'					=>	'Usernames may not contain any of the text formatting tags (BBCode) that the forum uses.',
+'Short password'				=>	'Passwords must be at least 4 characters long.',
+'Passwords not match'			=>	'Passwords do not match.',
+'Wrong email'					=>	'The administrator email address you entered is invalid.',
+'No board title'				=>	'You must enter a board title.',
+'Error default language'		=>	'The default language chosen doesn\'t seem to exist.',
+'Error default style'			=>	'The default style chosen doesn\'t seem to exist.',
+'No DB extensions'				=>	'This PHP environment does not have support for any of the databases that FluxBB supports. PHP needs to have support for either MySQL, PostgreSQL or SQLite in order for FluxBB to be installed.',
+'Administrator username'		=>	'Administrator\'s username',
+'Administrator password 1'		=>	'Administrator password 1',
+'Administrator password 2'		=>	'Administrator password 2',
+'Administrator email'			=>	'Administrator\'s email',
+'Board title'					=>	'Board title',
+'Base URL'						=>	'Base URL',
+'Required field'				=>	'is a required field in this form.',
+'FluxBB Installation'			=>	'FluxBB Installation',
+'Welcome'						=>	'You are about to install FluxBB. In order to install FluxBB, you must complete the form set out below. If you encounter any difficulties with the installation, please refer to the documentation.',
+'Install'						=>	'Install FluxBB 1.4',
+'Errors'						=>	'The following errors need to be corrected:',
+'Database setup'				=>	'Database setup',
+'Info 1'						=>	'Please enter the requested information in order to setup your database for FluxBB. You must know all the information asked for before proceeding with the installation.',
+'Select database'				=>	'Select your database type',
+'Info 2'						=>	'FluxBB currently supports MySQL, PostgreSQL and SQLite. If your database of choice is missing from the drop-down menu below, it means this PHP environment does not have support for that particular database. More information regarding support for particular versions of each database can be found in the FAQ.',
+'Dual MySQL'					=>	'FluxBB has detected that your PHP environment supports two different ways of communicating with MySQL. The two options are called standard and improved. If you are uncertain which one to use, start by trying improved and if that fails, try standard.',
+'InnoDB'						=>	'FluxBB has detected that your MySQL server might support <a href="http://dev.mysql.com/doc/refman/5.0/en/innodb.html">InnoDB</a>. This would be a good choice if you are planning to run a large forum. If you are uncertain, it is recommended that you do not use InnoDB.',
+'Database type'					=>	'Database type',
+'Required'						=>	'(Required)',
+'Database hostname'				=>	'Enter your database server hostname',
+'Info 3'						=>	'The address of the database server (example: localhost, db.myhost.com or 192.168.0.15). You can specify a custom port number if your database doesn\'t run on the default port (example: localhost:3580). For SQLite support, just enter anything or leave it at \'localhost\'.',
+'Database server hostname'		=>'Database server hostname',
+'Database enter name'			=>	'Enter the name of your database',
+'Info 4'						=>	'The name of the database that FluxBB will be installed into. The database must exist. For SQLite, this is the relative path to the database file. For security reasons, it is highly recommended to place the SQLite database in a private (not web accessible) directory whenever possible. If the SQLite database file does not exist, FluxBB will attempt to create it.',
+'Database name'					=>	'Database name',
+'Database enter informations'	=>	'Enter your database username and password',
+'Database username'				=>	'Database username',
+'Info 5'						=>	'Enter the username and password with which you connect to the database. Ignore for SQLite.',
+'Database password'				=>	'Database password',
+'Database enter prefix'			=>	'Enter database table prefix',
+'Info 6'						=>	'If you like, you can specify a table prefix. This way you can run multiple copies of FluxBB in the same database (example: foo_).',
+'Table prefix'					=>	'Table prefix',
+'Administration setup'			=>	'Administration setup',
+'Info 7'						=>	'Please enter the requested information in order to setup an administrator for your FluxBB installation.',
+'Admin enter username'			=>	'Enter Administrator\'s username',
+'Info 8'						=>	'The username of the forum administrator. You can later create more administrators and moderators. Usernames can be between 2 and 25 characters long.',
+'Admin enter password'			=>	'Enter and confirm Administrator\'s password',
+'Info 9'						=>	'Passwords must be at least 4 characters long. Passwords are case sensitive.',
+'Password'						=>	'Password',
+'Confirm password'				=>	'Confirm password',
+'Admin enter email'				=>	'Enter Administrator\'s email',
+'Info 10'						=>	'The email address of the forum administrator.',
+'Board setup'					=>	'Board setup',
+'Info 11'						=>	'Please enter the requested information in order to setup your FluxBB board.',
+'Enter board title'				=>	'Enter your board\'s title',
+'Info 12'						=>	'The title of this bulletin board (shown at the top of every page).',
+'Enter board description'		=>	'Enter your board\'s description',
+'Info 13'						=>	'A short description of this bulletin board (shown at the top of every page). This field may contain HTML.',
+'Board description'				=>	'Board description',
+'Enter base URL'				=>	'Enter the Base URL of your FluxBB installation',
+'Info 14'						=>	'The URL (without trailing slash) of your FluxBB forum (example: http://forum.myhost.com or http://myhost.com/~myuser). This <strong>must</strong> be correct, otherwise, administrators and moderators will not be able to submit any forms. Please note that the preset value below is just an educated guess by FluxBB.',
+'Choose the default language'	=>	'Choose the default language',
+'Info 15'						=>	'The default language used for guests and users who haven\'t changed from the default in their profile.',
+'Default language'				=>	'Default language',
+'Choose the default style'		=>	'Choose the default style',
+'Info 16'						=>	'The default style used for guests and users who haven\'t changed from the default in their profile.',
+'Default style'					=>	'Default style',
+'Start install'					=>	'Start install',
+'DB type not valid'				=>	'\'%s\' is not a valid database type',
+'Table prefix error'			=>	'The table prefix \'%s\' contains illegal characters or is too long. The prefix may contain the letters a to z, any numbers and the underscore character. They must however not start with a number. The maximum length is 40 characters. Please choose a different prefix',
+'Prefix reserved'				=>	'The table prefix \'sqlite_\' is reserved for use by the SQLite engine. Please choose a different prefix',
+'Existing table error'			=>	'A table called \'%susers\' is already present in the database \'%s\'. This could mean that FluxBB is already installed or that another piece of software is installed and is occupying one or more of the table names FluxBB requires. If you want to install multiple copies of FluxBB in the same database, you must choose a different table prefix',
+'InnoDB off'					=>	'InnoDB does not seem to be enabled. Please choose a database layer that does not have InnoDB support, or enable InnoDB on your MySQL server',
+'Administrators'				=>	'Administrators',
+'Administrator'					=>	'Administrator',
+'Moderators'					=>	'Moderators',
+'Moderator'						=>	'Moderator',
+'Guests'						=>	'Guests',
+'Guest'							=>	'Guest',
+'New member'					=>	'New member',
+'Members'						=>	'Members',
+'Member'						=>	'Member',
+'Announcement'					=>	'Enter your announcement here.',
+'Rules'							=>	'Enter your rules here',
+'Maintenance message'			=>	'The forums are temporarily down for maintenance. Please try again in a few minutes.',
+'Test post'						=>	'Test post',
+'Message'						=>	'If you are looking at this (which I guess you are), the install of FluxBB appears to have worked! Now log in and head over to the administration control panel to configure your forum.',
+'Test category'					=>	'Test category',
+'Test forum'					=>	'Test forum',
+'This is just a test forum'		=>	'This is just a test forum',
+'Alert cache'					=>	'<strong>The cache directory is currently not writable!</strong> In order for FluxBB to function properly, the directory <em>%s</em> must be writable by PHP. Use chmod to set the appropriate directory permissions. If in doubt, chmod to 0777.',
+'Alert avatar'					=>	'<strong>The avatar directory is currently not writable!</strong> If you want users to be able to upload their own avatar images you must see to it that the directory <em>%s</em> is writable by PHP. You can later choose to save avatar images in a different directory (see Admin/Options). Use chmod to set the appropriate directory permissions. If in doubt, chmod to 0777.',
+'Alert upload'					=>	'<strong>File uploads appear to be disallowed on this server!</strong> If you want users to be able to upload their own avatar images you must enable the file_uploads configuration setting in PHP. Once file uploads have been enabled, avatar uploads can be enabled in Administration/Options/Features.',
+'FluxBB has been installed'		=>	'FluxBB has been installed. To finalize the installation please follow the instructions below.',
+'Final instructions'			=>	'Final instructions',
+'Info 17'						=>	'To finalize the installation, you need to click on the button below to download a file called config.php. You then need to upload this file to the root directory of your FluxBB installation.',
+'Info 18'						=>	'Once you have uploaded config.php, FluxBB will be fully installed! At that point, you may <a href="index.php">go to the forum index</a>.',
+'Download config.php file'		=>	'Download config.php file',
+'FluxBB fully installed'		=>	'FluxBB has been fully installed! You may now <a href="index.php">go to the forum index</a>.',
+
+);
